<?php
/**
 * Advance Fake Guests and Users Online
 * @author Ricky.
 * @copyright Ricky. (info@mgcvisuals.com), see included license.txt for more info
 * Work derived from SMF
 * @license http://www.simplemachines.org/about/smf/license.php BSD
 * @version 1.3
 */

if (!defined('SMF'))
	die('Hacking attempt...');

function hooks_fguo_admin(&$admin_location)
{
	global $context, $txt;
		loadLanguage('afguo');
		$admin_location['config']['areas']['modsettings']['subsections']['fguo'] = array($txt['fguo_admin_menu']);
}

function hooks_fguo_modification(&$subActions)
{
	global $context;
	$subActions['fguo'] = 'FakeGuestsUsersOnline';
	$context[$context['admin_menu_name']]['tab_data']['tabs']['fguo'] = array();
}

function FakeGuestsUsersOnline($return_config = false)
		{
			global $txt, $scripturl, $context, $settings,$modSettings, $smcFunc;
		
			$config_vars = array(
				// afguo
					array('int', 'fguo_guests'),
					array('int', 'fguo_hidden'),
					array('check','fguo_members_enable'),
					array('large_text', 'fguo_memberlist')
					
			);
		
			if ($return_config)
				return $config_vars;
		
			$context['post_url'] = $scripturl . '?action=admin;area=modsettings;save;sa=fguo';
			$context['settings_title'] = $txt['fguo_admin'];
		
			if (isset($_GET['save']))
			{
				checkSession();
				$names = explode(',' , $_POST['fguo_memberlist']);
				foreach ($names as &$value)
					$value = $smcFunc['htmltrim']($smcFunc['htmlspecialchars']($value));
				// As suggested ;)
				$_POST['fguo_memberlist'] = implode(',', $names);
				saveDBSettings($config_vars);
				redirectexit('action=admin;area=modsettings;sa=fguo');
			}
		
			prepareDBSettingContext($config_vars);
		}
?>