<?php
/**
 * Advance Fake Guests and Users Online
 * @author Ricky.
 * @copyright Ricky.  (info@mgcvisuals.com), see included license.txt for more info
 * Work derived from SMF
 * @license http://www.simplemachines.org/about/smf/license.php BSD
 * @version 1.3
 */

if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
	require_once(dirname(__FILE__) . '/SSI.php');
elseif (!defined('SMF'))
	exit('<strong>Error:</strong> Cannot install - please make sure you are calling it from root of your SMF installation.');

$hooks = array(
	'integrate_admin_include' => '$sourcedir/Subs-fguo.php',
	'integrate_admin_areas' => 'hooks_fguo_admin',
	'integrate_modify_modifications' => 'hooks_fguo_modification',
);

if (SMF == 'SSI' && (!isset($_GET['action']) || (isset($_GET['action']) && !in_array($_GET['action'], array('install', 'uninstall')))))
	echo '
		Want to ....<br />
		<a href="' . $boardurl . '/hooks.php?action=install">Install</a><br />
		<a href="' . $boardurl . '/hooks.php?action=uninstall">Uninstall</a>';
else
{
	$context['uninstalling'] = isset($context['uninstalling']) ? $context['uninstalling'] : (isset($_GET['action']) && $_GET['action'] == 'uninstall' ? true : false);
	$integration_function = empty($context['uninstalling']) ? 'add_integration_function' : 'remove_integration_function';
	foreach ($hooks as $hook => $function)
		$integration_function($hook, $function);

	if (SMF == 'SSI')
		echo 'Operation Successful!';
}
?>